### Enumeration

# Vte PtyFlags

#### Declaration

    flags Vte.PtyFlags

#### Description

No description available.

#### Members

`VTE_PTY_NO_LASTLOG`

  Unused. Deprecated: 0.38.

  - Value: `1`
  - Available since: 3.91
`VTE_PTY_NO_UTMP`

  Unused. Deprecated: 0.38.

  - Value: `2`
  - Available since: 3.91
`VTE_PTY_NO_WTMP`

  Unused. Deprecated: 0.38.

  - Value: `4`
  - Available since: 3.91
`VTE_PTY_NO_HELPER`

  Unused. Deprecated: 0.38.

  - Value: `8`
  - Available since: 3.91
`VTE_PTY_NO_FALLBACK`

  Unused. Deprecated: 0.38.

  - Value: `16`
  - Available since: 3.91
`VTE_PTY_NO_SESSION`

  Do not start a new session for the child in vte_pty_child_setup(). See man:setsid(2) for more information. Since: 0.58.

  - Value: `32`
  - Available since: 3.91
`VTE_PTY_NO_CTTY`

  Do not set the PTY as the controlling TTY for the child in vte_pty_child_setup(). See man:tty_ioctl(4) for more information. Since: 0.58.

  - Value: `64`
  - Available since: 3.91
`VTE_PTY_DEFAULT`

  The default flags.

  - Value: `0`
  - Available since: 3.91